Updates the purchase order order lines with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

purchase_order_details
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
purchase_order_id

Foreign key of the purchase_order

globally unique identifier

Optionally required : purchase_order_id, purchase_order_reference or purchase_order must be provided

purchase_order_reference_back_office

Embedded entity "purchase_order" using ERP PK when adding/updating

string

Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided

purchase_order

Embedded entity "purchase_order" when adding/updating

purchase_order

Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided

article_id

Foreign key of article

globally unique identifier

Optionally required : article_id, article_code or article must be provided

article_code

Embedded entity "article" using ERP PK when adding/updating

string

Optionally required : article_id, article_code or article must be provided

article

Embedded entity "article" when adding/updating

article

Optionally required : article_id, article_code or article must be provided

line_number

Line Number, auto filled with (Highest+1) if value is 0/null

integer
code

Code of the article (auto filled if empty)

string

Max length: 255

supplier_code

Code of the supplier for this article

string

Max length: 255

name

Article Name (will be auto filled if article.name+description are empty)

string

Max length: 255

description

Article description (will be auto filled by article.short_description if name+description are empty)

string

Max length: 255

price

Unit Price

decimal number

Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$

Range: inclusive between 0.1 and 1.79769313486232E+308

quantity

Quantity

decimal number

Required

Range: inclusive between 0.1 and 1.79769313486232E+308

memo

Line memo/remark

string
cost_price

Unit Cost Price (statistic purpose)

decimal number

Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$

reference_back_office

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "cc44007b-626f-4b16-86b0-0d63034be1b7",
  "purchase_order_id": "3cfc96fe-bd96-49ff-baab-0b3501c06405",
  "purchase_order_reference_back_office": "sample string 3",
  "purchase_order": {
    "id": "a3bbbb59-8d74-4118-8216-c466b42bc4d8",
    "id2": 2,
    "jobs_id": "4262e3d8-0db7-4f7d-8b79-090c25caff55",
    "jobs_reference_back_office": "sample string 4",
    "supplier_company_id": "4cd72125-ee5b-418c-8d6b-d72d4fe101ec",
    "supplier_company_code": "sample string 6",
    "user_id": "323596c7-b47b-48a4-ab19-8866ede7c37c",
    "user_code": "sample string 8",
    "description": "sample string 9",
    "memo": "sample string 10",
    "total_lines": 11,
    "date_create": "2026-04-24T11:01:33.4636072+00:00",
    "date_update": "2026-04-24T11:01:33.4636072+00:00",
    "date_delivery": "2026-04-24T11:01:33.4636072+00:00",
    "confirmed_date_delivery": "2026-04-24T11:01:33.4636072+00:00",
    "delivery_db_address_id": "f56c2f25-8fb3-4115-b434-4132cba29061",
    "approved_by_user_id": "90387514-f673-45ee-b0e3-fef390e31ff0",
    "approved_by_user_code": "sample string 18",
    "technical_user_id": "bdaf6986-cdc1-4d4c-af48-de08bb239eef",
    "technical_user_code": "sample string 20",
    "purchase_order_status_id": "f4f86fd8-0dcf-4400-aa6f-3517cc8f6374",
    "purchase_order_status_code": "sample string 22",
    "article_stock_location_id": "ba554e78-df67-4d7c-ba05-0f59e044d5e6",
    "is_pickup": true,
    "reference_back_office": "sample string 25",
    "modified_dateutc": "2026-04-24T11:01:33.4636072+00:00"
  },
  "article_id": "63207c17-63c0-4e74-9122-35b1fcaa2df0",
  "article_code": "sample string 5",
  "article": {
    "id": "1032eeaf-b0ac-48a5-8b6f-29ec5920afca",
    "article_category_id": "24bad702-9151-4bf8-8046-a18df84f6335",
    "article_category": {
      "id": "381e15d0-55a6-4159-8edb-fda9dead5e2c",
      "parent_id": "75f9b0c4-c647-4109-acf7-cf0d13482abf",
      "parent_code": "sample string 3",
      "code": "sample string 4",
      "name": "sample string 5",
      "modified_dateutc": "2026-04-24T11:01:33.4636072+00:00"
    },
    "article_category_code": "sample string 3",
    "article_group_1_id": "54b19cb5-b35b-48e0-a5a4-2a010d7a9be3",
    "article_group_1_code": "sample string 5",
    "article_group_2_id": "04faa817-38c5-4a78-8e34-fb43c7cb6fec",
    "article_group_2_code": "sample string 7",
    "article_group_3_id": "83fbee61-a577-42e8-a128-66af55adc588",
    "article_group_3_code": "sample string 9",
    "article_group_4_id": "c210b772-164d-42e6-ba16-42f0fe8de129",
    "article_group_4_code": "sample string 11",
    "article_group_5_id": "74188d9e-2823-4b06-a38b-879470e3c012",
    "article_group_5_code": "sample string 13",
    "article_group_6_id": "f32fb663-17b3-4cb9-b0e7-6062982f5293",
    "article_group_6_code": "sample string 15",
    "physical_stock": 16,
    "back_order_client": 17,
    "back_order_supplier": 18,
    "expected_delivery_date_bo_supplier": "2026-04-24T11:01:33.4636072+00:00",
    "article_increment": 20,
    "min_article_quantity": 21,
    "entered_price": 22.0,
    "cost_price": 23.1,
    "no_stock": true,
    "archived": true,
    "is_travel_fee": true,
    "is_mileage_fee": true,
    "code": "sample string 28",
    "name": "sample string 29",
    "description_short": "sample string 30",
    "description_long": "sample string 31",
    "barcode": "sample string 32",
    "notes": "sample string 33",
    "date_create": "2026-04-24T11:01:33.4636072+00:00",
    "date_update": "2026-04-24T11:01:33.4636072+00:00",
    "modified_dateutc": "2026-04-24T11:01:33.4636072+00:00",
    "article_color_id": "7f927e7f-ad37-434b-a0b2-8db07c1bb969",
    "article_color_code": "sample string 38",
    "article_color": {
      "id": "1bc5f453-e809-46e8-b3af-5ec88f672f9b",
      "name": "sample string 2",
      "code": "sample string 3",
      "modified_dateutc": "2026-04-24T11:01:33.4636072+00:00"
    },
    "warranty_period_nb_months": 39,
    "use_serial": true,
    "_replace_id": "7a68a46f-3e4a-489f-abab-60c12bf7dd4f",
    "replace_article_code": "sample string 42",
    "db_unit_of_measure_id_selling": "c0f370bd-1e30-4d7f-9a12-b10e926ef232",
    "db_unit_of_measure_code_selling": "sample string 44",
    "translations": [
      {
        "field_name": "sample string 1",
        "language_code": "sample string 2",
        "value_translated": "sample string 3"
      },
      {
        "field_name": "sample string 1",
        "language_code": "sample string 2",
        "value_translated": "sample string 3"
      }
    ]
  },
  "line_number": 6,
  "code": "sample string 7",
  "supplier_code": "sample string 8",
  "name": "sample string 9",
  "description": "sample string 10",
  "price": 11.0,
  "quantity": 12.0,
  "memo": "sample string 13",
  "cost_price": 14.0,
  "reference_back_office": "sample string 15",
  "modified_dateutc": "2026-04-24T11:01:33.4636072+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.